CREATE TABLE CONTRACT_BERTH (
  ID_CONTRACT_BERTH NUMBER,
  ID_POGODBE NUMBER NOT NULL,
  ID_PRIVEZ NUMBER NOT NULL,
  CONSTRAINT CONTRACT_BERTH_PK PRIMARY KEY (ID_CONTRACT_BERTH)
);

CREATE SEQUENCE CONTRACT_BERTH_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE CONTRACT_BERTH
ADD CONSTRAINT CONTRACT_BERTH_UNIQUE UNIQUE (ID_POGODBE, ID_PRIVEZ);

INSERT INTO CONTRACT_BERTH(ID_CONTRACT_BERTH, ID_POGODBE, ID_PRIVEZ)
SELECT CONTRACT_BERTH_SEQ.NEXTVAL, ID_POGODBE, ID_PRIVEZ
FROM PRIVEZI WHERE ID_POGODBE IS NOT NULL AND ID_PRIVEZ IS NOT NULL;

INSERT INTO CONTRACT_BERTH(ID_CONTRACT_BERTH, ID_POGODBE, ID_PRIVEZ)
SELECT CONTRACT_BERTH_SEQ.NEXTVAL, ID_POGODBE, (SELECT ID_PRIVEZ FROM NNPRIVEZ WHERE OBJEKT = M.OBJEKT AND N_PRIVEZA = M.N_PRIVEZA)
FROM M_POGODBE M WHERE M.N_PRIVEZA IS NOT NULL AND M.OBJEKT IS NOT NULL
AND (SELECT ID_PRIVEZ FROM NNPRIVEZ WHERE OBJEKT = M.OBJEKT AND N_PRIVEZA = M.N_PRIVEZA) IS NOT NULL
AND M.ID_POGODBE NOT IN (SELECT ID_POGODBE FROM PRIVEZI WHERE ID_POGODBE IS NOT NULL);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1262, SYSDATE, '5.5', 1182, 'Contract berth')
;
